package com.sky.ioc.service.security;

import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.tool.ReturnMsg;

/**
 * TODO
 *
 * @Description
 * @Author LunCe
 * @Date 2023/3/7 10:02
 **/
public interface SecurityService {
    ReturnMsg getLinkageCoreIndicators(IocParam iocParam);

    ReturnMsg getAlarmTrend(IocParam iocParam);

    ReturnMsg getAlarmClassification(IocParam iocParam);

    ReturnMsg getEquipmentOnline(IocParam iocParam);

    ReturnMsg getFloorAlarmDistribution(IocParam iocParam);

    ReturnMsg getGiveAlarmList(IocParam iocParam);
}
